Holger's Java API

## com.antelmann.util
Interface Filter<T>

Type Parameters:
  `T` - the type of Object this filter can handle

All Known Subinterfaces:
  CascadingFilter<T>, LogWriter, SQLComboFilterSupported<T>, VerboseFilter<T>

All Known Implementing Classes:
  AbstractExceptionWriter, AbstractLogWriter, AppendableLogWriter, AsynchLogWriter, BinaryFileLog, ComboFilter, ConsoleLog, DBClassStoreCache.PrefetchedFilter, DBReferenceFilter, DialogFilter, DocumentAdapter, EmailWriter, ExceptionDialogWriter, ExtensionFileFilter, FileLog, FullTextSearchFilter, GeoLocationFilter, JDBCLogWriter, JTextAreaLog, JTextComponentLog, LevelFilter, LogFile, Logger, LoggerCache, LoggerWriter, LogNetPropagator, MethodFilter, NumberStringFilter, NumberStringFilter.DecimalFilter, NumberStringFilter.DoubleFilter, NumberStringFilter.IntFilter, NumberStringFilter.LongFilter, OffsetFilter, PreparedStatementEntryFilter, PropertyEntryFilter, RandomFilter, Range, RemoteDBChangeFilter, SimpleTableRowFilter, SocketWriter, SQLColumnInfo.UpdateFilter, SQLComboFilter, SQLDirectQueryEntryFilter, SQLFetchSizeFilter, SQLMapFilter, SQLStubFilter, StackTraceFileWriter, TopicMapFilter, UserFilter, VerboseFilter.Adapter, XMLLogWriter

    public interface Filter<T>

used to filter collections or anything else. Implementing classes are highly encouraged to override the `Object.toString()` method in order to provide a meaningful, human-readable description of the filter.

Author:
  Holger Antelmann
See Also:
  `Misc.reverseFilter(Filter)`

Field Summary
`static Filter<Object>` `EXCLUDE_ALL_FILTER`
`static Filter<Object>` `INCLUDE_ALL_FILTER`

Method Summary
`boolean` `accept(T entry)` returns true only if the given entry is accepted by this filter

Field Detail

### INCLUDE_ALL_FILTER

    static final Filter<Object> INCLUDE_ALL_FILTER

### EXCLUDE_ALL_FILTER

    static final Filter<Object> EXCLUDE_ALL_FILTER

Method Detail

### accept

    boolean accept(T entry)

  returns true only if the given entry is accepted by this filter

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads